<template>
  <el-dialog :title="title" :visible.sync="dialogVisible" width="900px" id="addEqDialog">
    <div class="table-box">
      <el-table :data="tableData" style="width: 100%" height="350" v-loading="loading" :header-cell-style="headerStyle" ref="multipleTable"
        @selection-change="handleSelectionChange">
        <el-table-column  type="selection" width="55"></el-table-column>
        <el-table-column :label="`${inSpaceType}名称`" show-overflow-tooltip min-width="100">
          <template slot-scope="scope">
            <div>
              {{scope.row.localName||scope.row.name ||''}}
            </div>
          </template>
        </el-table-column>
        <el-table-column prop="localId" :label="`${inSpaceType}本地编码`" show-overflow-tooltip min-width="100"></el-table-column>
        <el-table-column prop="categoryNames.name" :label="`${inSpaceType}类`" show-overflow-tooltip min-width="100"></el-table-column>
        <el-table-column prop="action" label="操作" min-width="100">
          <template slot-scope="scope">
            <el-button size="mini" @click="toDetail(scope.$index, scope.row)" plain>查看详情</el-button>
          </template>
        </el-table-column>
      </el-table>
      <!-- 分页 -->
      <el-pagination class="fr" v-show="tableData && tableData.length" @size-change="handleSizeChange" @current-change="handleCurrentChange"
        :current-page="page.pageNumber" :page-sizes="page.pageSizes" :page-size="page.pageSize" layout="total, sizes, prev, pager, next, jumper"
        :total="page.total"></el-pagination>
    </div>
    <span slot="footer" class="dialog-footer">
      <el-button size="small" @click="dialogVisible = false">取 消</el-button>
      <el-button size="small" type="primary" @click="savaRelation">确 定</el-button>
    </span>
  </el-dialog>
</template>

<script>
import { unshaftInSys, linkSySh } from "@/api/scan/request";
import floorCascader from "@/components/ledger/lib/floorCascader";
import { mapGetters } from "vuex";
export default {
  components: {
    floorCascader
  },
  computed: {
    ...mapGetters("layout", ["projectId"])
  },
  data() {
    return {
      title: "添加竖井内的系统",
      inSpaceType: '系统',
      dialogVisible: false,
      tableData: [],
      loading: false,
      selections: [], // 选中项
      page: {
        pageSize: 50,
        pageSizes: [10, 20, 50, 100],
        pageNumber: 1,
        total: 0
      },
      headerStyle: {
        backgroundColor: '#e1e4e5',
        color: '#2b2b2b',
        lineHeight: '30px'
      } // 列表样式
    };
  },
  props: {
    type: String, //选中的tab页
    params: Object //查看的竖井关系信息
  },
  created() { },
  methods: {
    // 显示弹窗
    showDialog() {
      this.dialogVisible = true
      this.page.pageNumber = 1
      this.tableData = []
      this.getTableData()
    },
    getTableData() {
      let params = {
        data: {
          cascade: [{ name: 'categoryNames' }],
          orders: "createTime desc, id desc",
          pageNumber: this.page.pageNumber,
          pageSize: this.page.pageSize,
        },
        shaftId: this.params.ShaftID
      }
      unshaftInSys(params, res => {
        this.tableData = res.content
        this.page.total = res.total
      })
    },
    //选中项修改
    handleSelectionChange(val) {
      this.selections = val;
    },
    savaRelation() {
      if(this.selections.length){
        let params = {
          shaftId: this.params.ShaftID,
          sysIdList: this.selections.map(item => {
            return item.id
          })
        }
        linkSySh(params, res => {
          this.dialogVisible = false
          this.$message.success('关联成功！')
          this.$emit('refresh')
        })
      }else {
        this.$message('请选择要关联的设备')
      }
    },
    //改变pagesize
    handleSizeChange(pageSize) {
      this.page.pageSize = pageSize;
      this.getTableData();
    },
    //改变pageno
    handleCurrentChange(pageNo) {
      this.page.pageNumber = pageNo;
      this.getTableData();
    },
    // 查看详情
    toDetail() {
      this.$message('开发中')
    }
  },
};
</script>
<style lang="less" scoped>
#addEqDialog {
  .filters {
    margin-bottom: 10px;
    /deep/ .el-input__inner {
      vertical-align: baseline;
    }
  }
  .table-box {
    height: 370px;
    .fr{
      margin-top: 10px;
    }
  }
}
</style>
